org.eclipse.wst.jsdt.chromium.debug.core.model

## Class VmResourceRef

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.VmResourceRef

    public abstract class VmResourceRef
    extends java.lang.Object

VM resource reference. It differs from `VmResourceId` in that it may be much less precise, e.g. RegExp over script name. `VmResourceRef` is an intermediate value derived from user IDE file and used for locating actual resource locally or on remote VM (when setting a breakpoint). This is an algebraic type. See `VmResourceRef.Visitor` and factory methods for details.

### Nested Class Summary

Nested Classes
`static interface` `VmResourceRef.Visitor<R>` A GoF Visitor interface for algebraic type `VmResourceRef`.

### Constructor Summary

Constructors
Constructor and Description
`VmResourceRef()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract <R> R` `accept(VmResourceRef.Visitor<R> visitor)`
`static VmResourceRef` `forRegExpBased(ScriptNameManipulator.ScriptNamePattern scriptNamePattern)`
`static VmResourceRef` `forVmResourceId(VmResourceId vmResourceId)` Creates VmResourceRef that is based on `VmResourceId`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VmResourceRef

    public VmResourceRef()

### Method Detail

#### forRegExpBased

    public static VmResourceRef forRegExpBased(ScriptNameManipulator.ScriptNamePattern scriptNamePattern)

#### forVmResourceId

    public static VmResourceRef forVmResourceId(VmResourceId vmResourceId)

Creates VmResourceRef that is based on `VmResourceId`.

#### accept

    public abstract <R> R accept(VmResourceRef.Visitor<R> visitor)